<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <title>Bootstrap UI Components</title>

    <!-- Bootstrap v4.6 CSS -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">
</head>

<body>
    <!-- Navbar Section Start-->
    <nav class="navbar navbar-expand-lg navbar-dark bg-primary">
        <a class="navbar-brand" href="#">Ada Lovelace</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNav">
          <ul class="navbar-nav ml-auto">
            <li class="nav-item active">
              <a class="nav-link" href="#">About Me<span class="sr-only">(current)</span></a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="#">Projects</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="#">Tools</a>
            </li>
          </ul>
        </div>
    </nav>
    <!-- Navbar Section End -->

    <!-- Main Container -->
    <!-- CRC Rule Step 1- Main Container -->
    <div class="container-fluid text-center">
        <!-- CRC Rule Step 2 - Row Container -->
        <div class="row">
            <!-- Left Column with 2 size -->
            <!-- SideNav Section Start -->
            <div class="col-lg-2 d-none d-lg-block p-0">
                <div class="accordion" id="accordionExample">
                    <div class="card">
                        <div class="card-header" id="headingOne">
                            <h2 class="mb-0">
                                <button class="btn btn-link btn-block text-left" type="button" data-toggle="collapse" data-target="#collapseOne" aria-expanded="true" aria-controls="collapseOne">
                                Services
                                </button>
                            </h2>
                        </div>
                  
                        <div id="collapseOne" class="collapse show" aria-labelledby="headingOne" data-parent="#accordionExample">
                            <div class="card-body text-left">
                                <ul style="list-style: none;">
                                    <li><a href="#">Frontend Design</a></li>
                                    <li><a href="#">Backend Server</a></li>
                                    <li><a href="#">Fullstack Development</a></li>
                                </ul>
                            </div>
                        </div>
                    </div>

                    <div class="card">
                        <div class="card-header" id="headingTwo">
                            <h2 class="mb-0">
                                <button class="btn btn-link btn-block text-left collapsed" type="button" data-toggle="collapse" data-target="#collapseTwo" aria-expanded="false" aria-controls="collapseTwo">
                                Projects
                            </button>
                            </h2>
                        </div>
                        <div id="collapseTwo" class="collapse" aria-labelledby="headingTwo" data-parent="#accordionExample">
                            <div class="card-body text-left">
                                <ul style="list-style: none;">
                                    <li><a href="#">HTML</a></li>
                                    <li><a href="#">JavaScript</a></li>
                                    <li><a href="#">Node JS Server</a></li>
                                </ul>
                            </div>
                        </div>
                    </div>

                    <div class="card">
                        <div class="card-header" id="headingThree">
                            <h2 class="mb-0">
                                <button class="btn btn-link btn-block text-left collapsed" type="button" data-toggle="collapse" data-target="#collapseThree" aria-expanded="false" aria-controls="collapseThree">
                                Tools
                                </button>
                            </h2>
                        </div>
                        <div id="collapseThree" class="collapse" aria-labelledby="headingThree" data-parent="#accordionExample">
                            <div class="card-body text-left">
                                <ul style="list-style: none;">
                                    <li><a href="#">Core Tools</a></li>
                                    <li><a href="#">Other Tools</a></li>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- SideNav Section End -->

            <!-- Right column with 10 size -->
            <div class="col-lg-10 p-0 ">
                <!-- Profile Section Start -->         
                <div class="container-fluid bg-dark text-light min-vh-100">
                    <img class="rounded-circle mt-5" width="250" src="https://i.guim.co.uk/img/media/3656ae6ea2209d4561caf04fa9f172a519908ca3/0_28_2318_1391/master/2318.jpg?width=1200&height=1200&quality=85&auto=format&fit=crop&s=afcc355f47876bc495cdc3c902639bae">
                    <h1>Ada Lovelace</h1>
                    <h3>Full-Stack Developer</h3>

                    <div class="col-lg-8 offset-lg-2"> 
                        <p>
                            Lorem ipsum, dolor sit amet consectetur adipisicing elit. Inventore assumenda laudantium tenetur unde deleniti a ipsum dolores corrupti aliquid, illo fuga molestias facilis neque voluptate, dignissimos voluptatibus, maiores incidunt. Itaque. Lorem, ipsum dolor sit amet consectetur adipisicing elit. Facere fugiat nisi qui, dolor inventore reprehenderit aspernatur beatae voluptatum earum corrupti quam non similique cupiditate a voluptatem tenetur eos ea consectetur.
                        </p>
                    </div>

                    <!-- Carousel Section Start -->
                    <div class="d-none d-md-block mt-5 col-md-8 offset-md-2 col-lg-6 offset-lg-3">
                        <div id="carouselExampleCaptions" class="carousel slide" data-ride="carousel">
                            <ol class="carousel-indicators">
                                <li data-target="#carouselExampleCaptions" data-slide-to="0" class="active"></li>
                                <li data-target="#carouselExampleCaptions" data-slide-to="1"></li>
                                <li data-target="#carouselExampleCaptions" data-slide-to="2"></li>
                            </ol>
                            <div class="carousel-inner">
                                <div class="carousel-item active">
                                    <img src="https://place-puppy.com/500x300" class="d-block w-100" alt="...">
                                    <div class="carousel-caption d-none d-md-block">
                                        <h5>First slide label</h5>
                                        <p>Some representative placeholder content for the first slide.</p>
                                    </div>
                                </div>
                                <div class="carousel-item">
                                    <img src="http://placekitten.com/500/300" class="d-block w-100" alt="...">
                                    <div class="carousel-caption d-none d-md-block">
                                        <h5>Second slide label</h5>
                                        <p>Some representative placeholder content for the second slide.</p>
                                    </div>
                                </div>
                                <div class="carousel-item">
                                    <img src="https://placebear.com/500/300" class="d-block w-100" alt="...">
                                    <div class="carousel-caption d-none d-md-block">
                                        <h5>Third slide label</h5>
                                        <p>Some representative placeholder content for the third slide.</p>
                                    </div>
                                </div>
                            </div>
                            <button class="carousel-control-prev" type="button" data-target="#carouselExampleCaptions" data-slide="prev">
                                <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                                <span class="sr-only">Previous</span>
                            </button>
                            <button class="carousel-control-next" type="button" data-target="#carouselExampleCaptions" data-slide="next">
                                <span class="carousel-control-next-icon" aria-hidden="true"></span>
                                <span class="sr-only">Next</span>
                            </button>
                        </div>
                    </div>
                    <!-- Carousel Section End -->
                    

                </div>
                <!-- Profile Section End -->
                
                <!-- Other Projects Section Start -->
                <div class="bg-secondary text-light min-vh-100 p-3">
                    <h2>Other Projects</h2>
                    <div class="d-lg-flex justify-content-center p-3 pl-lg-5 pr-lg-5 pl-sm-1 pr-sm-1">
                            <div class="card bg-dark col-lg-4 mx-2 my-5">
                                <img src="https://3.bp.blogspot.com/-7x5c_f1yzsQ/XHv9FZKHrEI/AAAAAAAADrE/4iGl9Lm6K2odX4SdWbU_RN6gZesx4IaGACEwYBhgL/s1600/html.jpg" class="card-img-top" alt="...">
                                <div class="card-body">
                                    <h2 class="card-title">HTML</h2>
                                    <h4 class="text-secondary">Programming Basics</h4>
                                    <p class="card-text">
                                        Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.
                                    </p>
                                </div>
                                <div class="card-footer">
                                    <a href="#">Link To Projects</a>
                                </div>
                            </div>

                            <div class="card bg-dark col-lg-4 mx-2 my-5">
                                <img src="https://www.webknowledgefree.com/wp-content/uploads/2019/10/bootstrap-5-releases-with-major-changes.jpg" class="card-img-top" alt="...">
                                <div class="card-body">
                                    <h2 class="card-title">Bootstrap 5</h2>
                                    <h4 class="text-secondary">Rapid Prototyping</h4>
                                    <p class="card-text">
                                        Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.
                                    </p>
                                </div>
                                <div class="card-footer">
                                    <a href="#">Link To Projects</a>
                                </div>
                            </div>

                            <div class="card bg-dark col-lg-4 mx-2 my-5">
                                <img src="https://clever-solution.com/wp-content/uploads/2020/04/5625%D0%9C%D0%BE%D0%BD%D1%82%D0%B0%D0%B6%D0%BD%D0%B0%D1%8F-%D0%BE%D0%B1%D0%BB%D0%B0%D1%81%D1%82%D1%8C-1-1280x720.png" class="card-img-top" alt="...">
                                <div class="card-body">
                                    <h2 class="card-title">Node JS Server</h2>
                                    <h4 class="text-secondary">Backend Basics</h4>
                                    <p class="card-text">
                                        Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.
                                    </p>
                                </div>
                                <div class="card-footer">
                                    <a href="#">Link To Projects</a>
                                </div>
                            </div>
                    </div>
                </div>
                <!-- Other Projects Section End -->

                <!-- Contact Section Start -->
                <div class="bg-dark min-vh-100 p-5 text-light">
                    <div class="d-flex justify-content-center flex-column align-items-center">
                        <h2 class="mb-5">Contact Me</h2>
                        <div class="border border-light p-1 w-50 p-md-5 rounded bg-primary">
                            <form>
                                <div class="form-group">
                                    <label for="name">Name</label>
                                    <input type="name" class="form-control" id="name" placeholder="Your Name">
                                </div>
                                <div class="form-group">
                                    <label for="exampleFormControlInput1">Email address</label>
                                    <input type="email" class="form-control" id="exampleFormControlInput1" placeholder="name@example.com">
                                </div>
                                <div class="form-group">
                                    <label for="number">Contact Number</label>
                                    <input type="tel" class="form-control" id="exampleFormControlInput1" placeholder="+63 900 000 0000">
                                </div>
                                <div class="form-group">
                                    <label for="exampleFormControlSelect1">Concern</label>
                                    <select class="form-control" id="exampleFormControlSelect1">
                                        <option>Quotation</option>
                                        <option>Appointment</option>
                                        <option>Follow-Up</option>
                                    </select>
                                </div>
                                <div class="form-group">
                                    <label for="message">Message</label>
                                    <textarea class="form-control" id="message" rows="6"></textarea>
                                </div>
                                <button type="button" class="btn btn-dark" data-toggle="modal" data-target="#myModal">Send Email</button>

                                <!-- Modal Start -->
                                <div class="modal fade text-dark" id="myModal">
                                    <div class="modal-dialog modal-sm">
                                        <div class="modal-content">
                                            <div class="modal-header ">
                                                <h5>Thank you for contacting us!</h5>
                                            </div>
                                            <div class="modal-body">
                                                <h5>Message Succesfully Sent</h5>
                                            </div>
                                            <div class="modal-footer">
                                                <input type="button" data-dismiss="modal" value="Close" class="bg-secondary rounded border border-0 text-light">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <!-- Modal End -->
                                
                            </form>
                        </div>
                    </div>
                </div>
                <!-- Contact Section End -->

                
                
            </div>
        </div>
    </div>
    <!-- End of Main Container -->


    <!-- Bootstrap v4.6 JS Bundle -->
    <div>
        <script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct" crossorigin="anonymous"></script>
    </div>
</body>
</html>